// PrnPageSetup.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "PrnPageSetup.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCPrnPageSetup _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCPrnPageSetup, CFCPropertyPageBase)

CFCPrnPageSetup::CFCPrnPageSetup () : BASE_CLASS(CFCPrnPageSetup::IDD)
{
	//{{AFX_DATA_INIT(CFCPrnPageSetup)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
//----- 05.06.20 Fukushiro M. _xZkqqHx_jCmHiJmBiOgO_xHqqkZx_ ()-----
	m_bEnablePrinter = FALSE;
	m_mmPaperWidth = 100.0;
	m_mmPaperHeight = 100.0;
	m_mmHardMarginL = 0.0;
	m_mmHardMarginT = 0.0;
	m_mmHardMarginR = 0.0;
	m_mmHardMarginB = 0.0;
	// _xZkqqHx_iDfPiDeDiDeBiDiNiDePiCmMjFmPjAjEiCpAiPiJiKpKiJlLiClHiCoJiBeC_xHqqkZx_
	// CFCPrnPrintSetup_xZkqqHx_iCmGiDgGiBfLiDfOiCpAiLkEjHhAiClHiCoJiClNiCnPiBeBiNmFiPiJiCmJiPiJiKpKiJlLiCkKjFeLjHhGiBeC_xHqqkZx_
	OnDialogInitValue();
//----- 05.06.20 Fukushiro M. _xZkqqHx_jCmHiJmBiPeJ_xHqqkZx_ ()-----
} // CFCPrnPageSetup::CFCPrnPageSetup.

CFCPrnPageSetup::~CFCPrnPageSetup()
{
}

void CFCPrnPageSetup::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCPrnPageSetup)
	DDX_Control(pDX, IDC_PPS_CBB_PAGE_NUMBER_COLOR, m_cbbPageNumberColor);
	DDX_Control(pDX, IDC_PPS_STC_BORDER_1, m_stcBorder1);
	DDX_Control(pDX, IDC_PPS_STC_PAPER_SIZE, m_stcPaperSize);
	DDX_Control(pDX, IDC_PPS_SPN_PAGE_NUMBER_HORIZONTAL_OFFSET, m_spnPageNumberHorizontalOffset);
	DDX_Control(pDX, IDC_PPS_SPN_PAGE_NUMBER_VERTICAL_OFFSET, m_spnPageNumberVerticalOffset);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFCPrnPageSetup, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCPrnPageSetup)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_PPS_CHK_PRINT_PAGE_NUMBER, OnPpsChkPrintPageNumber)
	ON_CBN_SELCHANGE(IDC_PPS_CMB_PAGE_NUMBER_TOP_OR_BOTTOM, OnSelchangePpsCmbPageNumberTopOrBottom)
	ON_EN_CHANGE(IDC_PPS_EDT_PAGE_NUMBER_VERTICAL_OFFSET, OnChangePpsEdtPageNumberVerticalOffset)
	ON_CBN_SELCHANGE(IDC_PPS_CMB_PAGE_NUMBER_LEFT_OR_RIGHT, OnSelchangePpsCmbPageNumberLeftOrRight)
	ON_EN_CHANGE(IDC_PPS_EDT_PAGE_NUMBER_HORIZONTAL_OFFSET, OnChangePpsEdtPageNumberHorizontalOffset)
	ON_BN_CLICKED(IDC_PPS_CHK_PAINT_SHEET, OnPpsChkPaintSheet)
	ON_BN_CLICKED(IDC_PPS_BTN_PAGE_NUMBER_FONT_SELECT, OnPpsBtnPageNumberFontSelect)
	ON_EN_CHANGE(IDC_PPS_EDT_PAGE_NUMBER_TEXT, OnChangePpsEdtPageNumberText)
	//}}AFX_MSG_MAP
	ON_CONTROL(CBBN_SELCHANGE, IDC_PPS_CBB_PAGE_NUMBER_COLOR, OnSelchangePpsCbbPageNumberColor)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCPrnPageSetup _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

